/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source$
 *
 *  $Revision$
 *
 *	$Log$
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#include "visiscript.h"

#include <qapplication.h>
#include <qtextcodec.h>
#include <qtranslator.h>


QString ProcessLanguage( QTranslator * pTranslator, const QString & sLanguage, QApplication * qApp )
{
	// ** need global Translator for the other dialogs...
	QString sLangTemp = sLanguage;
	if( sLangTemp.length()==0 )
	{
		// if language is not given as command line argument
		// than get the actual language now...
		sLangTemp = QTextCodec::locale();
		if( sLangTemp.length()>=2 )
		{
			sLangTemp = sLangTemp.left(2);
		}
	}
	QString sLang;	// = GetMinDiaSharedDirectory().c_str();
	sLang += "wvisiscript_";
	sLang += sLangTemp;
//	sLang += "en";
	sLang += ".qm";
	if( sLangTemp != "en" )
	{
		bool bOk = pTranslator->load( sLang, "." );
		//cout << "==>> " << (const char *)sLang << " bOk=" << bOk << " " << (const char *)sLangTemp << endl;
		qApp->installTranslator( pTranslator );
	}
	return sLangTemp;
}


int main( int argc, char** argv )
{
	QApplication aAppl( argc, argv );

	// ** prepare application for different languages...**
	QTranslator * pTranslator = new QTranslator(0);
	QString sLanguage;
	QString sLanguageTemp = ProcessLanguage( pTranslator, sLanguage, &aAppl );

	VisiScript aMainwindow;
	aAppl.setMainWidget(&aMainwindow);

	aMainwindow.show();

	for( int i=1; i<argc; i++ )
	{
		aMainwindow.DoImportFile( argv[i] );
	}

	int iRet = aAppl.exec();

	delete pTranslator;

	return iRet;
}

