/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source$
 *
 *  $Revision$
 *
 *	$Log$
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#ifndef ZVISISCRIPT_H
#define ZVISISCRIPT_H

#include "visiscript.h"

#include <qpe/filemanager.h>
#include <qpe/applnk.h>

class QAction;

class ZVisiScript : public VisiScript
{
    Q_OBJECT

public:
    ZVisiScript( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

	virtual bool DoImportFile( const QString & sFileName );

public slots:
    virtual void sltFileSaveAs();
	virtual void sltFileOpen();
	virtual void sltFileSave();

    void sltNewFileDoc( const DocLnk & );
    void sltOpenFileDoc( const DocLnk & );
    void sltGotoBegin();
    void sltGotoEnd();

protected:
    virtual void updateFileSelector();

	// some hidden actions for accelerator keys for the zaurus
	QAction *			m_pGotoBegin;
	QAction *			m_pGotoEnd;

    DocLnk 				m_aDoc;
};

#endif
